edelib 1.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
MenuButton Class Reference

Button with attached menu. More...

`#include <edelib/MenuButton.h>`

Inheritance diagram for MenuButton:

## Public Types
enum | { POPUP1 = 1, POPUP2, POPUP12, POPUP3, POPUP13, POPUP23, POPUP123 }

## Public Member Functions
| MenuButton (int, int, int, int, const char *=0)
int | handle (int)
const MenuItem * | popup ()

## Detailed Description

Button with attached menu.

MenuButton is forked Fl_Menu_Button, so all FLTK documentation for Fl_Menu_Button applies here too.

## Member Enumeration Documentation

anonymous enum

Values for type()

## Constructor & Destructor Documentation

MenuButton | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | const char * | = `0`
| ) |  |

Constructor

## Member Function Documentation

int handle | ( | int |  | ) |

Handle events

const MenuItem* popup | ( |  | ) |

Popup menu and return the menu item or NULL if the user dismisses the menu

The documentation for this class was generated from the following file:

- edelib/MenuButton.h